Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deBitmapLoad.cpp File Reference

bitmap loading code More...

`#include "deFileSystem.hpp"`
`#include "deBitmap_priv.hpp"`
`#include "deByteOrder.hpp"`
`#include "deFunctors.hpp"`
`#include "libpng/png.h"`

Include dependency graph for deBitmapLoad.cpp:

## Compounds
struct | deBitmapFileHeader
struct | deBitmapInfoHeader
struct | deDDPixelFormat
struct | deDDSurfaceDesc2
struct | PCXHEADER
struct | deTGAHeader
## Defines
#define | deDDPF_RGB 0x00000040l
#define | deDDPF_ALPHAPIXELS 0x00000001l
#define | deDDSD_MIPMAPCOUNT 0x00020000l
#define | deDDSD_LINEARSIZE 0x00080000l
#define | deMAKEFOURCC(ch0, ch1, ch2, ch3)
## Functions
void | de3d_png_read_data (png_structp png_ptr, png_bytep data, png_size_t length)
IdeDriver::BPP | GetDDSFormat (deDDPixelFormat &ddpf)

## Detailed Description

bitmap loading code

Author:
  Assassin, Hootie, paradoxnj

This file is the intellectual property of Novus Delta, LLC.. Usage of the contents of this file is subject to the Destiny3D Member License which can be found at http://www.destiny3d.com. Any other usage is prohibited.

This file is distributed "AS IS" without warranty of any kind. Novus Delta, LLC. does not guarantee the fitness of the contents of this file for any particular purpose.

Copyright (C) 2001-2003 Novus Delta, LLC. All Rights Reserved.

Change History

Date:
  Jan 2002

Author:
  Assassin

Remarks:
  Creation

## Define Documentation

#define deDDPF_ALPHAPIXELS 0x00000001l

#define deDDPF_RGB 0x00000040l

#define deDDSD_LINEARSIZE 0x00080000l

#define deDDSD_MIPMAPCOUNT 0x00020000l

#define deMAKEFOURCC | ( | ch0,
|  | ch1,
|  | ch2,
|  | ch3 |  | ) |

| Value:
    ((DWORD)(BYTE)(ch0) | ((DWORD)(BYTE)(ch1) << 8) |       \
                ((DWORD)(BYTE)(ch2) << 16) | ((DWORD)(BYTE)(ch3) << 24 ))

## Function Documentation

void de3d_png_read_data | ( | png_structp | png_ptr,
|  | png_bytep | data,
|  | png_size_t | length
| ) |

IdeDriver::BPP GetDDSFormat | ( | deDDPixelFormat & | ddpf | ) |